Add new Stock Movements

Returns a Json with the data of the new Stock Movements.

Stock movements type

Each Stock Movement must be address to a stock location. If non is set, default will be 1 (STOCK_SALES)

Each Stock Movement can be one of these three types:

  • load (increase quantity)
  • unload (decrease quantity)
  • setup (set quantity)

and can be referred to:

  • Item (item_id is not null and raw_material is null)
  • Raw Material (raw_material_id is not null and item_id is null)

Stock movements causes

Load causes:

  • buy
  • refund
  • gift
  • replacement
  • production
  • bom_production
  • transfer
  • positive_adjustment
  • stock_transfer
  • supplier_order

ATTENTION load_cause can not be set by api on stock_transfer
Unload causes:

  • sale
  • gift
  • internal_use
  • move
  • damage
  • theft
  • waste
  • supplier_return
  • transfer
  • replacement
  • negative_adjustment
  • production
  • stock_transfer

NOTE:
If unload_cause is set to stock_transfer, you need to set the target stock location in the field target_location_id. In this case 2 movements will be generated:

  • 1 movement of unload on the stock_location_id with unload_cause set to stock_transfer
  • 1 movement of load on target_location_id with load_cause set to stock_transfer
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Item object that needs to be added.

string
length between 0 and 255
string
string
integer
date-time
required
string
required
raw_material|item
integer
string
enum
string
string
string
integer
string
string
number
required
integer
integer
integer
Defaults to 1

must be a valid id of stock_locations

integer
string
string
number

only needed if unload_cause is set on stock_transfer. On this stock_location will be set a load with load_cause stock_transfer

string
required
load|unload|setup
string
string
enum
Responses

422

Error: Unprocessable Entity

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json